Alokai

SapccApiRemoveCartEntryGroupRequest

Request parameters for removeCartEntryGroup operation in SapccApi. SapccApiRemoveCartEntryGroupRequest

interface SapccApiRemoveCartEntryGroupRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly entryGroupNumber: number;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiRemoveCartEntryGroup
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiRemoveCartEntryGroup
entryGroupNumberRequirednumberEach entry group in a cart has a specific entry group number. Entry group numbers are integers starting at one. They are defined in ascending order. {number} SapccApiRemoveCartEntryGroup
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiRemoveCartEntryGroup

On this page